pinv = player.getInventory();


if (player.isInsideOfWater() && ((pinv.getItemInSlot(36) != null && pinv.getItemInSlot(36).getItemID() != 305) || pinv.getItemInSlot(36) == null))
{
player.addVelocity(0, .15, 0);
}

if (player.isInsideOfWater() && pinv.getItemInSlot(36) != null && pinv.getItemInSlot(36).getItemID() == 305)
{
    player.addVelocity(0, -0.046, 0);
}
